import 'package:flutter/material.dart';
import 'package:flutter_login/flutter_login.dart';
import 'package:jplatform_auth/last_screen.dart';

const users = const {
  'dribbble@gmail.com': '12345',
  'hunter@gmail.com': 'hunter',
};

class LoginScreen extends StatelessWidget {
  Duration get loginTime => Duration(milliseconds: 2250);

  Future<String> _authUser(LoginData data) {
    print('Name: ${data.name}, Password: ${data.password}');
    return Future.delayed(loginTime).then((_) {
      if (!users.containsKey(data.name)) {
        return 'Username not exists';
      }
      if (users[data.name] != data.password) {
        return 'Password does not match';
      }
      return null;
    });
  }

  Future<String> _recoverPassword(String name) {
    print('Name: $name');
    return Future.delayed(loginTime).then((_) {
      if (!users.containsKey(name)) {
        return 'Username not exists';
      }
      return null;
    });
  }

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Padding(
          padding: const EdgeInsets.all(8.0),
          child: Center(
            child: FlutterLogin(
              title: 'J-Platform',
              logo: 'assets/images/edefter.png',
              onLogin: _authUser,
              onSignup: _authUser,
              messages: LoginMessages(
                  usernameHint: 'Username',
                  passwordHint: 'Password',
                  confirmPasswordHint: 'Confirm',
                  loginButton: 'LOGIN TO j-Platform',
                //  signupButton: 'REGISTER',
                  forgotPasswordButton: 'Forgot huh?',
                  recoverPasswordButton: 'HELP ME',
                  goBackButton: 'GO BACK',
                  confirmPasswordError: 'Not match!',
                  recoverPasswordIntro: 'Don\'t feel bad. Happens all the time.',
                  recoverPasswordDescription: 'Lorem Ipsum is simply dummy text of the printing and typesetting industry',
                  recoverPasswordSuccess: 'Password rescued successfully',
                ),
              onSubmitAnimationCompleted: () {
                Navigator.of(context).pushReplacement(MaterialPageRoute(
                  builder: (context) => LastScreen(),
                ));
              },
              onRecoverPassword: _recoverPassword,
            ),
          ),
        ),
      ],
    );
  }
}